summaryrefslogtreecommitdiff
path: root/sid-armhf-blend/configure
diff options
context:
space:
mode:
Diffstat (limited to 'sid-armhf-blend/configure')
-rwxr-xr-xsid-armhf-blend/configure43
1 files changed, 43 insertions, 0 deletions
diff --git a/sid-armhf-blend/configure b/sid-armhf-blend/configure
new file mode 100755
index 0000000..3508ad6
--- /dev/null
+++ b/sid-armhf-blend/configure
@@ -0,0 +1,43 @@
+#!/bin/sh
+
+# (C) 2012-2016 Fathi Boudra <fathi.boudra@linaro.org>
+
+# Create configuration for live-build.
+
+# You need live-build package installed.
+
+set -e
+
+echo "I: create configuration"
+export LB_BOOTSTRAP_INCLUDE="apt-transport-https gnupg"
+lb config \
+ --apt-indices false \
+ --apt-recommends false \
+ --apt-secure false \
+ --architectures armhf \
+ --archive-areas 'main contrib non-free' \
+ --backports false \
+ --binary-filesystem ext4 \
+ --binary-images tar \
+ --bootappend-live "hostname=linaro-blend username=linaro" \
+ --bootstrap-qemu-arch armhf \
+ --bootstrap-qemu-static /usr/bin/qemu-arm-static \
+ --cache false \
+ --chroot-filesystem none \
+ --compression gzip \
+ --debootstrap-options "--variant=minbase --include=apt-transport-https,gnupg" \
+ --distribution sid \
+ --gzip-options '-9 --rsyncable' \
+ --iso-publisher 'Linaro; http://www.linaro.org/; linaro-dev@lists.linaro.org' \
+ --iso-volume 'Linaro Sid $(date +%Y%m%d-%H:%M)' \
+ --linux-flavours none \
+ --linux-packages none \
+ --mode debian \
+ --security true \
+ --system normal \
+ --updates true
+
+echo "I: copy customization"
+test -d customization && cp -rf customization/* config/
+
+echo "I: done"